Loading...
Searching...
No Matches
l4_vcon_attr_t Struct Reference
Base API » Kernel Objects » Virtual Console

Vcon attribute structure. More...

`#include <vcon.h>`

Collaboration diagram for l4_vcon_attr_t:

## Public Member Functions

void | set_raw ()
| Set terminal attributes to disable all special processing.

## Data Fields

l4_umword_t | i_flags
| input flags
l4_umword_t | o_flags
| output flags
l4_umword_t | l_flags
| local flags

## Detailed Description

Vcon attribute structure.

The flags members can be a combination of their respective enums.

See also
  L4_vcon_i_flags
  L4_vcon_o_flags
  L4_vcon_l_flags

Examples
  examples/sys/isr/main.c.

Definition at line 187 of file vcon.h.

## Member Function Documentation

## set_raw()

void l4_vcon_attr_t::set_raw | ( |  | ) |

inline

Set terminal attributes to disable all special processing.

Removes all flags that would mangle the read or written characters. Also disables echoing and any special processing of characters.

Definition at line 450 of file vcon.h.

References l4_vcon_set_attr_raw().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- l4/sys/vcon.h